local function zoom_camera(x_loc,y_loc,zoom,time)
	
	local tile_size = 8
	
	local location = vector2(x_loc*tile_size+160, y_loc*tile_size+80)
	
	coroutine.yield(engine.Scene:ZoomTo(location, zoom, time))
	
end

local function zoom_back(time)
	coroutine.yield(engine.Scene:ZoomBack(time))
end

local x_loc = player.Position.x
local y_loc = player.Position.y

function onBegin(room)
	
	helpers.disableMovement ()
	zoom_camera(0,5,1.5,2)
	walk(32)
	wait(2)
	walk(-32)
	wait(2)
	say("StuffoWOC09_01")
	wait(1)
	wait(2)
	walkTo(1000,false,1,false)	
	
end

function onEnd(room, wasSkipped)

end